org.apache.olingo.commons.api.edm

## Interface Edm

-     public interface Edm

  Entity Data Model (EDM)
  Interface representing a Entity Data Model as described in the Conceptual Schema Definition.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotationGroup(FullQualifiedName targetName, String qualifier)` Get `EdmAnnotations` by target.
    `EdmAction` | `getBoundAction(FullQualifiedName actionName, FullQualifiedName bindingParameterTypeName, Boolean isBindingParameterCollection)` Get Action by full qualified name and binding parameter type.
    `EdmAction` | `getBoundActionWithBindingType(FullQualifiedName bindingParameterTypeName, Boolean isBindingParameterCollection)` Get Action by full qualified name and binding parameter type.
    `EdmFunction` | `getBoundFunction(FullQualifiedName functionName, FullQualifiedName bindingParameterTypeName, Boolean isBindingParameterCollection, List<String> parameterNames)` Get Function by full qualified name and binding parameter type and binding parameter names.
    `List<EdmFunction>` | `getBoundFunctionsWithBindingType(FullQualifiedName bindingParameterTypeName, Boolean isBindingParameterCollection)` Get Function by binding parameter type
    `EdmComplexType` | `getComplexType(FullQualifiedName name)` Get complex type by full qualified name..
    `EdmComplexType` | `getComplexTypeWithAnnotations(FullQualifiedName name)` Get complex type with annotations by full qualified name..
    `EdmEntityContainer` | `getEntityContainer()` Get main entity container.
    `EdmEntityContainer` | `getEntityContainer(FullQualifiedName name)` Get entity container by full qualified name.
    `EdmEntityType` | `getEntityType(FullQualifiedName name)` Get entity type by full qualified name.
    `EdmEntityType` | `getEntityTypeWithAnnotations(FullQualifiedName name)` Get entity type with annotations by full qualified name.
    `EdmEnumType` | `getEnumType(FullQualifiedName name)` Get enum type by full qualified name.
    `EdmSchema` | `getSchema(String namespace)` Get schema by namespace.
    `List<EdmSchema>` | `getSchemas()` This method DOES NOT support lazy loading.
    `EdmTerm` | `getTerm(FullQualifiedName termName)` Get Term full by qualified name.
    `EdmTypeDefinition` | `getTypeDefinition(FullQualifiedName name)` Get a type definition by full qualified name.
    `EdmAction` | `getUnboundAction(FullQualifiedName actionName)` Get unbound Action by full qualified name.
    `EdmFunction` | `getUnboundFunction(FullQualifiedName functionName, List<String> parameterNames)` Get Function by full qualified name.
    `List<EdmFunction>` | `getUnboundFunctions(FullQualifiedName functionName)` Get Function by full qualified name.

- - ### Method Detail

    - #### getSchemas

          List<EdmSchema> getSchemas()

      This method DOES NOT support lazy loading. All schemas are loaded completely!
      Returns:
        all schemas defined for this EDM

    - #### getSchema

          EdmSchema getSchema(String namespace)

      Get schema by namespace.
      Parameters:
        `namespace` - must not be null
      Returns:
        `EdmSchema`

    - #### getEntityContainer

          EdmEntityContainer getEntityContainer()

      Get main entity container.
      See `EdmEntityContainer` for more information.
      Returns:
        `EdmEntityContainer`

    - #### getEntityContainer

          EdmEntityContainer getEntityContainer(FullQualifiedName name)

      Get entity container by full qualified name.
      See `EdmEntityContainer` for more information.
      Parameters:
        `name` - full qualified name of entity container
      Returns:
        `EdmEntityContainer`

    - #### getEnumType

          EdmEnumType getEnumType(FullQualifiedName name)

      Get enum type by full qualified name.
      See `EdmEnumType` for more information
      Parameters:
        `name` - full qualified name of enum type
      Returns:
        `EdmEnumType`

    - #### getTypeDefinition

          EdmTypeDefinition getTypeDefinition(FullQualifiedName name)

      Get a type definition by full qualified name.
      See `EdmTypeDefinition` for more information
      Parameters:
        `name` - full qualified name of type definition
      Returns:
        `EdmTypeDefinition`

    - #### getEntityType

          EdmEntityType getEntityType(FullQualifiedName name)

      Get entity type by full qualified name.
      See `EdmEntityType` for more information.
      Parameters:
        `name` - full qualified name of entity type
      Returns:
        `EdmEntityType`

    - #### getEntityTypeWithAnnotations

          EdmEntityType getEntityTypeWithAnnotations(FullQualifiedName name)

      Get entity type with annotations by full qualified name.
      See `EdmEntityType` for more information.
      Parameters:
        `name` - full qualified name of entity type
      Returns:
        `EdmEntityType`

    - #### getComplexType

          EdmComplexType getComplexType(FullQualifiedName name)

      Get complex type by full qualified name..
      See `EdmComplexType` for more information.
      Parameters:
        `name` - full qualified name of complex type
      Returns:
        `EdmComplexType`

    - #### getComplexTypeWithAnnotations

          EdmComplexType getComplexTypeWithAnnotations(FullQualifiedName name)

      Get complex type with annotations by full qualified name..
      See `EdmComplexType` for more information.
      Parameters:
        `name` - full qualified name of complex type
      Returns:
        `EdmComplexType`

    - #### getUnboundAction

          EdmAction getUnboundAction(FullQualifiedName actionName)

      Get unbound Action by full qualified name.
      Parameters:
        `actionName` - must not be null
      Returns:
        `EdmAction`

    - #### getBoundAction

          EdmAction getBoundAction(FullQualifiedName actionName,
                                   FullQualifiedName bindingParameterTypeName,
                                   Boolean isBindingParameterCollection)

      Get Action by full qualified name and binding parameter type.
      Parameters:
        `actionName` - must not be null
        `bindingParameterTypeName` - must not be null
        `isBindingParameterCollection` - may be null
      Returns:
        `EdmAction`

    - #### getBoundActionWithBindingType

          EdmAction getBoundActionWithBindingType(FullQualifiedName bindingParameterTypeName,
                                                  Boolean isBindingParameterCollection)

      Get Action by full qualified name and binding parameter type. Note: action can not be overloaded on binding type
      Parameters:
        `bindingParameterTypeName` - must not be null
        `isBindingParameterCollection` - may be null
      Returns:
        `EdmAction`

    - #### getUnboundFunctions

          List<EdmFunction> getUnboundFunctions(FullQualifiedName functionName)

      Get Function by full qualified name.
      Parameters:
        `functionName` - must not be null
      Returns:
        `EdmFunction`

    - #### getUnboundFunction

          EdmFunction getUnboundFunction(FullQualifiedName functionName,
                                         List<String> parameterNames)

      Get Function by full qualified name.
      Parameters:
        `functionName` - must not be null
        `parameterNames` - may be null: in this case it is considered as empty
      Returns:
        `EdmFunction`

    - #### getBoundFunction

          EdmFunction getBoundFunction(FullQualifiedName functionName,
                                       FullQualifiedName bindingParameterTypeName,
                                       Boolean isBindingParameterCollection,
                                       List<String> parameterNames)

      Get Function by full qualified name and binding parameter type and binding parameter names.
      Parameters:
        `functionName` - must not be null
        `bindingParameterTypeName` - must not be null
        `isBindingParameterCollection` - may be null
        `parameterNames` - may be null: in this case it is considered as empty
      Returns:
        `EdmFunction`

    - #### getBoundFunctionsWithBindingType

          List<EdmFunction> getBoundFunctionsWithBindingType(FullQualifiedName bindingParameterTypeName,
                                                             Boolean isBindingParameterCollection)

      Get Function by binding parameter type
      Parameters:
        `bindingParameterTypeName` - must not be null
        `isBindingParameterCollection` - may be null
      Returns:
        `EdmFunction`

    - #### getTerm

          EdmTerm getTerm(FullQualifiedName termName)

      Get Term full by qualified name.
      Parameters:
        `termName` - must not be null
      Returns:
        `EdmTerm`

    - #### getAnnotationGroup

          EdmAnnotations getAnnotationGroup(FullQualifiedName targetName,
                                            String qualifier)

      Get `EdmAnnotations` by target.
      Parameters:
        `targetName` - `edm:Annotations` target
        `qualifier` - for the target. Can be `NULL`
      Returns:
        `EdmAnnotations`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.